<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFPicture (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFPicture (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFPicture.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFPicture.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFPicture.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFPicture" class="title">Class XSSFPicture</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFPicture</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                           title="interface in org.apache.poi.ss.usermodel">Picture</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFPicture</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
              title="interface in org.apache.poi.ss.usermodel">Picture</a></pre>
                <div class="block">Represents a picture shape in a SpreadsheetML drawing.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#XSSFPicture-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture-">XSSFPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture&nbsp;ctPicture)</code>
                                    <div class="block">Construct a new XSSFPicture object.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getClientAnchor--">getClientAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getCTPicture--">getCTPicture</a></span>()</code>
                                    <div class="block">Return the underlying CTPicture bean that holds all properties
                                        for this picture
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getImageDimension--">getImageDimension</a></span>()</code>
                                    <div class="block">Return the dimension of the embedded image in pixel</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected static java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getImageDimension-org.apache.poi.openxml4j.opc.PackagePart-int-">getImageDimension</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                    int&nbsp;type)</code>
                                    <div class="block">Return the dimension of this image</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getPictureData--">getPictureData</a></span>()</code>
                                    <div class="block">Return picture data for this shape</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getPreferredSize--">getPreferredSize</a></span>()</code>
                                    <div class="block">Calculate the preferred size for this picture.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getPreferredSize-double-">getPreferredSize</a></span>(double&nbsp;scale)</code>
                                    <div class="block">Calculate the preferred size for this picture.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getPreferredSize-double-double-">getPreferredSize</a></span>(double&nbsp;scaleX,
                                    double&nbsp;scaleY)</code>
                                    <div class="block">Calculate the preferred size for this picture.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Returns xml bean with shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#prototype--">prototype</a></span>()</code>
                                    <div class="block">Returns a prototype that is used to construct new shapes</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#resize--">resize</a></span>()</code>
                                    <div class="block">Reset the image to the dimension of the embedded image</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#resize-double-">resize</a></span>(double&nbsp;scale)</code>
                                    <div class="block">Resize the image proportionally.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#resize-double-double-">resize</a></span>(double&nbsp;scaleX,
                                    double&nbsp;scaleY)</code>
                                    <div class="block">Resize the image relatively to its current size.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#setPictureReference-org.apache.poi.openxml4j.opc.PackageRelationship-">setPictureReference</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;rel)</code>
                                    <div class="block">Link this shape with the picture data</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFPicture-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFPicture</h4>
                                <pre>protected&nbsp;XSSFPicture(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                      org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture&nbsp;ctPicture)</pre>
                                <div class="block">Construct a new XSSFPicture object. This constructor is called from
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html#createPicture-org.apache.poi.xssf.usermodel.XSSFClientAnchor-int-"><code>XSSFDrawing.createPicture(XSSFClientAnchor,
                                        int)</code></a></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>drawing</code> - the XSSFDrawing that owns this picture</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="prototype--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>prototype</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture&nbsp;prototype()</pre>
                                <div class="block">Returns a prototype that is used to construct new shapes</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a prototype that is used to construct new shapes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPictureReference-org.apache.poi.openxml4j.opc.PackageRelationship-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPictureReference</h4>
                                <pre>protected&nbsp;void&nbsp;setPictureReference(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;rel)</pre>
                                <div class="block">Link this shape with the picture data</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rel</code> - relationship referring the picture data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTPicture--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTPicture&nbsp;getCTPicture()</pre>
                                <div class="block">Return the underlying CTPicture bean that holds all properties for
                                    this picture
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying CTPicture bean</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resize</h4>
                                <pre>public&nbsp;void&nbsp;resize()</pre>
                                <div class="block">Reset the image to the dimension of the embedded image</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#resize--">resize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#resize-double-double-"><code>resize(double,
                                            double)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resize-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resize</h4>
                                <pre>public&nbsp;void&nbsp;resize(double&nbsp;scale)</pre>
                                <div class="block">Resize the image proportionally.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#resize-double-">resize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html#resize-double-double-"><code>resize(double,
                                            double)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resize-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resize</h4>
                                <pre>public&nbsp;void&nbsp;resize(double&nbsp;scaleX,
                   double&nbsp;scaleY)</pre>
                                <div class="block">Resize the image relatively to its current size.
                                    <p>
                                        Please note, that this method works correctly only for workbooks
                                        with the default font size (Calibri 11pt for .xlsx).
                                        If the default font is changed the resized image can be streched vertically or
                                        horizontally.
                                    </p>
                                    <p>
                                        <code>resize(1.0,1.0)</code> keeps the original size,<br>
                                        <code>resize(0.5,0.5)</code> resize to 50% of the original,<br>
                                        <code>resize(2.0,2.0)</code> resizes to 200% of the original.<br>
                                        <code>resize(<code>Double.MAX_VALUE</code>,<code>Double.MAX_VALUE</code>)</code>
                                        resizes to the dimension of the embedded image.
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#resize-double-double-">resize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scaleX</code> - the amount by which the image width is multiplied relative
                                        to the original width,
                                        when set to <code>Double.MAX_VALUE</code> the width of the embedded image is
                                        used
                                    </dd>
                                    <dd><code>scaleY</code> - the amount by which the image height is multiplied
                                        relative to the original height,
                                        when set to <code>Double.MAX_VALUE</code> the height of the embedded image is
                                        used
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPreferredSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPreferredSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;getPreferredSize()</pre>
                                <div class="block">Calculate the preferred size for this picture.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getPreferredSize--">getPreferredSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XSSFClientAnchor with the preferred size for this image</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPreferredSize-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPreferredSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;getPreferredSize(double&nbsp;scale)</pre>
                                <div class="block">Calculate the preferred size for this picture.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scale</code> - the amount by which image dimensions are multiplied
                                        relative to the original size.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XSSFClientAnchor with the preferred size for this image</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPreferredSize-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPreferredSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;getPreferredSize(double&nbsp;scaleX,
                                         double&nbsp;scaleY)</pre>
                                <div class="block">Calculate the preferred size for this picture.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getPreferredSize-double-double-">getPreferredSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scaleX</code> - the amount by which image width is multiplied relative to
                                        the original width.
                                    </dd>
                                    <dd><code>scaleY</code> - the amount by which image height is multiplied relative to
                                        the original height.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XSSFClientAnchor with the preferred size for this image</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getImageDimension-org.apache.poi.openxml4j.opc.PackagePart-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getImageDimension</h4>
                                <pre>protected static&nbsp;java.awt.Dimension&nbsp;getImageDimension(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                                      int&nbsp;type)</pre>
                                <div class="block">Return the dimension of this image</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>part</code> - the package part holding raw picture data</dd>
                                    <dd><code>type</code> - type of the picture: <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#PICTURE_TYPE_JPEG"><code>Workbook.PICTURE_TYPE_JPEG</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#PICTURE_TYPE_PNG"><code>Workbook.PICTURE_TYPE_PNG</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#PICTURE_TYPE_DIB"><code>Workbook.PICTURE_TYPE_DIB</code></a>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>image dimension in pixels</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getImageDimension--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getImageDimension</h4>
                                <pre>public&nbsp;java.awt.Dimension&nbsp;getImageDimension()</pre>
                                <div class="block">Return the dimension of the embedded image in pixel</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getImageDimension--">getImageDimension</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>image dimension in pixels</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPictureData</a>&nbsp;getPictureData()</pre>
                                <div class="block">Return picture data for this shape</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getPictureData--">getPictureData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>picture data for this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getShapeProperties()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">XSSFShape</a></code></span>
                                </div>
                                <div class="block">Returns xml bean with shape properties.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">getShapeProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>xml bean with shape properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getClientAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClientAnchor</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;getClientAnchor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getClientAnchor--">getClientAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor that is used by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;getSheet()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html#getSheet--">getSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                                title="interface in org.apache.poi.ss.usermodel">Picture</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the sheet which contains the picture shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFPicture.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFPicture.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFPicture.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
